<?php
require_once 'inc/mysqli.php';
include 'inc/functions.php';

$stop_cached = true;

$title = 'Обратная связь';
$desc = 'Форма обратной связи';

include 'inc/head.php';
?>

 <div class="left-menu">
  <div class="main-block">
    <div class="block-title"><h1>Обратная связь</h1><img src="/style/img/title.png" alt="Обратная связь"></div>
	
<?php
	if(isset($_POST['send'])){
		if(empty($_POST['name'])){
			echo 'Вы не указали как к Вам обращаться<br /><a href="/feedback/">Вернуться</a>';
		}
		if(!filter_var($_POST['email'], FILTER_VALIDATE_EMAIL)){
			echo 'E-mail адрес '.htmlspecialchars($_POST['email']).' указан неверно<br /><a href="/feedback/">Вернуться</a>';
		}
		
		if(empty($_POST['msg'])){
			echo 'Вы не ввели ваше сообщение<br /><a href="/feedback/">Вернуться</a>';
		}
		
		mail("admin@midi-mp3.org", "Обращение: ".$_POST['name'], $_POST['msg'], 
		"Content-type: text/html; charset=UTF-8 \r\n"
		."From: ".$_POST['email']." \r\n" 
		."X-Mailer: PHP/" . phpversion()); 
		
		echo 'Ваше обращение отправлено модератору на рассмотрение. Ответ Вы получите на адрес '.htmlspecialchars($_POST['email']).' в течении 3-х дней.
		<br /><a href="/feedback/">Вернуться</a>';
		
	echo '</div>
	<div style="clear: both;"></div>
	</div>';
	include 'inc/right.php';
	include 'inc/foot.php';
	exit;
}
?>
	
<form method="POST">
<label style="margin: 5px;">Как к Вам обращаться:</label>
<input class="form-control" type="text" required name="name" placeholder="Фамилия имя отчество">
<label style="margin: 5px;">Email для связи:</label>
<input class="form-control" type="email" required name="email" placeholder="Адрес электронной почты">
<label style="margin: 5px;">Ваше сообщение:</label>
<textarea class="form-control" required name="msg" rows="5"></textarea>
<input class="btn btn-primary btn-large" name="send" type="submit" style="margin: 5px;" value="Отправить">
</form>

</div>
<div style="clear: both;"></div>
</div>
<?php include 'inc/right.php'; ?>
<?php include 'inc/foot.php'; ?>